package com.loit.shardingsphere.seata;

import com.loit.shardingsphere.seata.modules.service.IBusinessService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
@Slf4j
public class LoitShardingsphereSeataApplicationTests {

    @Autowired
    IBusinessService businessService;

    @Test
    public void contextLoads() {

        for (long i = 100; i < 500; i++) {
            businessService.purchase(i);
        }

        log.info("success");
    }

}
